-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Хост: 127.0.0.1
-- Время создания: Апр 06 2015 г., 21:46
-- Версия сервера: 5.5.25
-- Версия PHP: 5.3.13

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `test`
--

-- --------------------------------------------------------

--
-- Структура таблицы `cms_ads`
--

CREATE TABLE IF NOT EXISTS `cms_ads` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `view` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `layout` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter` enum('0','1') NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  `count_link` int(10) unsigned NOT NULL DEFAULT '0',
  `name` text NOT NULL,
  `link` text NOT NULL,
  `image` text NOT NULL,
  `to` int(10) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `day` int(10) unsigned NOT NULL DEFAULT '0',
  `place` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `show` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `cms_categories`
--

CREATE TABLE IF NOT EXISTS `cms_categories` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `about` text NOT NULL,
  `place` int(11) NOT NULL,
  `switch` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=17 ;

--
-- Дамп данных таблицы `cms_categories`
--

INSERT INTO `cms_categories` (`id`, `name`, `about`, `place`, `switch`) VALUES
(1, 'Корзина', 'Здесь находятся сайты с удаленных категорий', 1, '1'),
(2, 'Сервисы', '', 2, '0'),
(3, 'Загрузки', '', 3, '0'),
(4, 'Знакомство/Общение', '', 4, '0'),
(5, 'Wap-Мастеру', '', 5, '0'),
(6, 'Развлечения', '', 6, '0'),
(7, 'Топы/Каталоги/Партнёрки', '', 7, '0'),
(8, 'Персональные', '', 8, '0'),
(9, 'Спорт', '', 9, '0'),
(10, 'Хостинги', '', 10, '0'),
(11, 'Информация/СМИ', '', 11, '0'),
(12, 'Магазины/Услуги', '', 12, '0'),
(13, 'Раскрутка/Заработок', '', 13, '0'),
(14, 'Прочиее', '', 14, '0'),
(15, 'Сайты на конструкторах', '', 15, '0'),
(16, 'Для Взрослых 18+', '', 16, '0');

-- --------------------------------------------------------

--
-- Структура таблицы `cms_gbook`
--

CREATE TABLE IF NOT EXISTS `cms_gbook` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `adm` tinyint(1) NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(25) NOT NULL DEFAULT '',
  `text` text NOT NULL,
  `ip` bigint(11) NOT NULL DEFAULT '0',
  `browser` tinytext NOT NULL,
  `admin` varchar(25) NOT NULL DEFAULT '',
  `otvet` text NOT NULL,
  `otime` int(10) unsigned NOT NULL DEFAULT '0',
  `edit_who` varchar(20) NOT NULL DEFAULT '',
  `edit_time` int(10) unsigned NOT NULL DEFAULT '0',
  `edit_count` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `time` (`time`),
  KEY `ip` (`ip`),
  KEY `adm` (`adm`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `cms_news`
--

CREATE TABLE IF NOT EXISTS `cms_news` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `time` int(30) NOT NULL,
  `show` enum('0','1') NOT NULL,
  `view` int(11) NOT NULL,
  `name` text NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `cms_sessions`
--

CREATE TABLE IF NOT EXISTS `cms_sessions` (
  `session_id` char(32) NOT NULL DEFAULT '',
  `ip` bigint(11) NOT NULL DEFAULT '0',
  `ip_via_proxy` bigint(11) NOT NULL DEFAULT '0',
  `browser` varchar(255) NOT NULL DEFAULT '',
  `lastdate` int(10) unsigned NOT NULL DEFAULT '0',
  `sestime` int(10) unsigned NOT NULL DEFAULT '0',
  `views` int(10) unsigned NOT NULL DEFAULT '0',
  `movings` smallint(5) unsigned NOT NULL DEFAULT '0',
  `place` text NOT NULL,
  PRIMARY KEY (`session_id`),
  KEY `lastdate` (`lastdate`),
  KEY `place` (`place`(10))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `cms_settings`
--

CREATE TABLE IF NOT EXISTS `cms_settings` (
  `name` tinytext NOT NULL,
  `set` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `cms_settings`
--

INSERT INTO `cms_settings` (`name`, `set`) VALUES
('skin', 'wap'),
('home', ''),
('site_access', '2'),
('pages', '7'),
('timeshift', '2'),
('copy', 'esCMS by SparkuS'),
('gzip', '1'),
('site_str', '200'),
('page_rules', '1 К участию допускаются: Только главная страница Вашего сайта, другие страницы и отдельные части сайта запрещены к регистрации. Только русскоязычные wap сайты, либо web сайты, имеющие wap версию. Только сайты, содержащие собственный контент, информацию, сервисы, то есть сайты, несущие ценность для пользователей. В любом случае сайт должен быть готовым, а не в стадии разработки. Сайты не противоречащие законодательству РФ и стран СНГ.\r\n1.1 К участию допускаются на платной основе: Сайты эротического содержания в категорию "Эротика Взрослым +18" и сайты коммерческого характера, то есть созданные только для заработка и не имеющие бесплатного контента, либо бесплатных сервисов и услуг! Такие сайты для публикации в каталоге должны оплатить определённую сумму. Более подробно можно ознакомиться здесь.\r\n2 К участию не допускаются: Сайты, содержащие в основном порнографический контент для взрослых (не путайте с эротикой), сайты содержащие информацию и контент, имеющие упоминания в названиях ссылок, а также ссылающиеся на подобные ресурсы: о зоофилии, изнасиловании, извращении, порнографии, разжигании межнациональной розни, пропаганде терроризма, наркотиков, анархии, нецензурной лексики и прочих, противоречащих закону и аморальным вещам. Сайты лохотроны, витрины, мошенники, переадресации, заглушки, сайты для слива трафика (имеющие ссылки только партнёрских программ), сайты, имеющие ссылки только на SMS алярмы. Сайты, содержащие чрезмерное количество рекламы в виде текстовых ссылок, баннеров, счётчиков. Сайты, содержащие чрезмерное количество графики и не несущие никакой ценности для пользователя. Клик клубы, баннерные и текстовые сети, сёрфинги, топы, рейтинговые каталоги, биржи и подобные ресурсы на бесплатных (free) хостингах. Одни и те же сайты на разных доменах. Сайты на доменах (субдоменах) четвёртого уровня. Также сайты, закрытые для просмотра регистрацией (кроме чатов, партнёрских программ, сёрфингов, кк, букмекерок и подобных ресурсов…), т.е., на которых просмотреть можно только главную страницу.\r\n3 Правила по заполнению регистрационной формы:\r\n3.1 Заголовок (имя) сайта должен подчёркивать тематику и содержание сайта, лучше всего придумайте что-то короткое, но содержательное. Он должен начинаться с заглавной буквы. Запрещено использовать различного рода спецсимволы, заполнять заголовок буквами только в верхнем регистре (ВОТ ТАК), прыгающим стилем (То ЕсТь ТаК). Заголовок не может быть только доменным именем сайта. Также запрещено заполнять имя только иностранными буквами.\r\nГрамотно и содержательно описывайте сайт, для этого Вам выделено поле в 500 символов. Старайтесь описать сайт теми словами, по которым Вас будет искать потенциальный пользователь. Описание должно подробно раскрывать содержимое и тематику, регистрируемого сайта. Запрещено: заполнять поле описание с использованием спецсимволов, только заглавными буквами, прыгающим стилем, использовать не цензурные слова, описание не может быть менее 250 символов, содержать чрезмерное количество знаков препинания. Также запрещено в описании использовать содержание рекламного характера (на подобии у нас акция на семизнаки ICQ, раздача доменов, выкуп трафика по N цене и т. п.), запрещено в описании указывать то, что у Вас нет на сайте, даже если Вы это планируете сделать, зазывать пользователей на подобии: У нас очень хорошо, зайдите к нам, использовать смайлики и завершать описание словами и т.д., и т.п. Прочитать о том как необходимо грамотно и правильно составлять описание можно здесь.\r\n3.3 Более ответственно подойдите к заполнению полей мета тегов keywords и description. Эти поля также необходимо заполнять с условием правил пункта 3.2. Мета теги нужны поисковым ботам. Если Вы не знаете что это такое - прочитайте ЧаВо. Одно-два слова, либо "тупое" заполнение в этих полях и Вы не пройдёте модерацию. О грамотном заполнении этих полей можно также прочитать здесь (keywords) и здесь (description).\r\n3.4. Соблюдайте правила русского языка: ставьте пробелы после знаков препинания, нельзя ставить пробелы перед знаками препинания; нельзя использовать ПРОПИСНЫЕ БУКВЫ при наборе текста объявления; пишите с большой буквы страны производителей и прочие слова, которые принято писать с большой буквы по правилам русского язык.\r\n4 Пользовательское соглашение: Регистрируясь в данном белом каталоге Вы полностью соглашаетесь с данными правилами и условиями, и несёте полную ответственность за содержание регистрационных полей и регистрируемого сайта. Администрация не несёт никакой ответственности за полученный вред, в результате участия в данном белом каталоге.\r\n5 От админа:\r\n5.1 Наличие обратной прямой ссылки на каталог приветствуется и учитывается при модерации, но не является обязательным условием.\r\n5.2 Эти правила, условия и рекомендация написаны не зря, и на их написание было потрачено время. Не думайте, что это пустые слова, это не так!\r\nПренебрежение правил в любом случае ведёт к удалению сайта из базы каталога.\r\n5.3 Администрация в праве, удалить или допустить любой сайт не соответствующий правилам, на своё усмотрение и без объяснения причин.\r\n5.4. При добавлении ресурса в базу каталога приоритетным является описания и выбор тематического раздела, указанные при регистрации. Но администрация, всё же вправе изменить данные согласно правил регистрации в каталоге.\r\nЗа слова порно, малолетки, зоо, и прочие неблагозвучные и нецензурные слова в имени, описании и мета тегах, бан без модерации!'),
('news_count', '2'),
('mod_reg', '0'),
('antiflood', 'a:5:{s:4:"mode";i:2;s:3:"day";i:10;s:5:"night";i:30;s:7:"dayfrom";i:10;s:5:"dayto";i:22;}'),
('clean_time', '1403201216'),
('mod_guest', '1'),
('email', ''),
('news_str', '200'),
('news', '1'),
('meta_key', ''),
('meta_desc', ''),
('meta_auth', 'SparkuS (by.sparkus@gmail.com)'),
('meta_gene', 'esCMS'),
('meta_robot', 'ALL'),
('code_reg', '1'),
('code_edit', '0');

-- --------------------------------------------------------

--
-- Структура таблицы `cms_sites`
--

CREATE TABLE IF NOT EXISTS `cms_sites` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `idr` int(255) NOT NULL,
  `idu` int(255) NOT NULL,
  `mod` enum('0','1','2','3') NOT NULL,
  `time` int(30) NOT NULL,
  `del_site` enum('0','1') NOT NULL,
  `del_time` int(11) NOT NULL,
  `img` varchar(10) NOT NULL,
  `url` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `keywords` text NOT NULL,
  `description` text NOT NULL,
  `about` text NOT NULL,
  `type` enum('0','1','2') NOT NULL,
  `view` int(255) NOT NULL,
  `rating` text NOT NULL,
  `seo` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `cms_users`
--

CREATE TABLE IF NOT EXISTS `cms_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nick` varchar(25) NOT NULL DEFAULT '',
  `login` varchar(40) NOT NULL DEFAULT '',
  `pass` varchar(32) NOT NULL DEFAULT '',
  `rights` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `failed_login` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `postguest` int(10) unsigned NOT NULL DEFAULT '0',
  `datereg` int(10) unsigned NOT NULL DEFAULT '0',
  `lastdate` int(10) unsigned NOT NULL DEFAULT '0',
  `email` varchar(50) NOT NULL DEFAULT '',
  `randcode` varchar(100) NOT NULL,
  `ip` bigint(11) NOT NULL DEFAULT '0',
  `ip_via_proxy` bigint(11) NOT NULL DEFAULT '0',
  `browser` text NOT NULL,
  `preg` tinyint(1) NOT NULL DEFAULT '0',
  `regadm` varchar(25) NOT NULL DEFAULT '',
  `sestime` int(10) unsigned NOT NULL DEFAULT '0',
  `total_on_site` int(10) unsigned NOT NULL DEFAULT '0',
  `lastpost` int(10) unsigned NOT NULL DEFAULT '0',
  `movings` int(10) unsigned NOT NULL DEFAULT '0',
  `smileys` text NOT NULL,
  `place` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `name_lat` (`login`),
  KEY `lastdate` (`lastdate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `cms_view`
--

CREATE TABLE IF NOT EXISTS `cms_view` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ids` int(11) NOT NULL,
  `session_id` char(32) NOT NULL,
  `ip` bigint(20) NOT NULL,
  `browser` text NOT NULL,
  `sestime` int(11) NOT NULL,
  `lastdate` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
