<?php
define('_IN_esCMS', 1);

require('../system/escore.php');
$sys['title'] = 'Смайлы';
require('../system/header.php');

// Сколько смайлов разрешено выбрать пользователям?
$user_smileys = 20;

switch ($act){
	case 'smusr':
		$dir = glob(ROOT.'images/smileys/user/*', GLOB_ONLYDIR);
		foreach ($dir as $val){
			$val = explode('/', $val);
			$cat_list[] = array_pop($val);
		}
		$cat = isset($_GET['cat']) && in_array(trim($_GET['cat']), $cat_list) ? trim($_GET['cat']) : $cat_list[0];
		$smileys = glob(ROOT.'images/smileys/user/'.$cat.'/*.{gif,jpg,png}', GLOB_BRACE);
		$total = count($smileys);
		$end = $start + ES::$set['pages'];
		if ($end > $total)
			$end = $total;
		echo '<div class="hmenu">'.ucfirst(htmlspecialchars($cat)).'</div>';
		if ($total){
			if ($user_id){
				$user_sm = isset($user_data['smileys']) ? unserialize($user_data['smileys']) : '';
				if (!is_array($user_sm))
					$user_sm = array();
				echo '<div class="cmenu"><a href="smileys.php?act=my_smileys">Мои смайлы<span class="count">('.count($user_sm).' / '.$user_smileys.')</span></a></div>';
				echo '<form action="smileys.php?act=set_my_sm&amp;cat='.$cat.'&amp;start='.$start.'" method="post">';
			}
			if ($total > ES::$set['pages'])
				echo '<div class="cmenu">'.ESFunction::display_pages('smileys.php?act=smusr&amp;cat='.urlencode($cat).'&amp;', $start, $total, ES::$set['pages']).'</div>';
			for ($i = $start; $i < $end; $i++){
				$smile = preg_replace('#^(.*?).(gif|jpg|png)$#isU', '$1', basename($smileys[$i], 1));
				echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
				if ($user_id)
					echo(in_array($smile, $user_sm) ? '' : '<input type="checkbox" name="add_sm[]" value="'.$smile.'" />&#160;');
				echo '<img src="../images/smileys/user/'.$cat.'/'.basename($smileys[$i]).'" alt="" />&#160;:'.$smile.': '.$lng['lng_or'].' :'.ESFunction::trans($smile).':</div>';
			}
			if ($user_id)
				echo '<div class="cmenu"><input type="submit" name="add" value="Добавить" /></div></form>';
		}else{
			echo '<div class="menu"><p>' . $lng['list_empty'] . '</p></div>';
		}
		if ($total > ES::$set['pages'])
			echo '<div class="cmenu">'.ESFunction::display_pages('smileys.php?act=smusr&amp;cat='.urlencode($cat).'&amp;', $start, $total, ES::$set['pages']).'</div>';
	break;

	case 'smadm':
		if ($rights < 1){
			echo ESFunction::display_error($lng['error_wrong_data'], '<a href="smileys.php?act=smileys">' . $lng['back'] . '</a>');
			require('../system/footer.php');
		}
		echo '<div class="hmenu">Админские смалы</div>';
		$user_sm = unserialize($user_data['smileys']);
		if (!is_array($user_sm))
			$user_sm = array();
        echo '<div class="topmenu"><a href="smileys.php?act=my_smileys">' . $lng['my_smileys'] . '</a>  (' . count($user_sm) . ' / ' . $user_smileys . ')</div>' .
            '<form action="smileys.php?act=set_my_sm&amp;start=' . $start . '&amp;adm" method="post">';
        $array = array();
        $dir = opendir('../images/smileys/admin');
        while (($file = readdir($dir)) !== FALSE) {
            if (($file != '.') && ($file != "..") && ($file != "name.dat") && ($file != ".svn") && ($file != "index.php")) {
                $array[] = $file;
            }
        }
        closedir($dir);
        $total = count($array);
        if ($total > 0) {
            $end = $start + ES::$set['pages'];
            if ($end > $total)
                $end = $total;
            for ($i = $start; $i < $end; $i++) {
                $smile = preg_replace('#^(.*?).(gif|jpg|png)$#isU', '$1', $array[$i], 1);
                echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
                $smileys = (in_array($smile, $user_sm) ? ''
                    : '<input type="checkbox" name="add_sm[]" value="' . $smile . '" />&#160;');
                echo $smileys . '<img src="../images/smileys/admin/' . $array[$i] . '" alt="" /> - :' . $smile . ': ' . $lng['lng_or'] . ' :' . ESFunction::trans($smile) . ':</div>';
            }
        } else {
            echo '<div class="menu"><p>' . $lng['list_empty'] . '</p></div>';
        }
        echo '<div class="gmenu"><input type="submit" name="add" value="Изменить"/></div></form>';
        echo '<div class="phdr">' . $lng['total'] . ': ' . $total . '</div>';
        if ($total > ES::$set['pages'])
            echo '<div class="topmenu">' . ESFunction::display_pages('smileys.php?act=smadm&amp;', $start, $total, ES::$set['pages']) . '</div>';
        break;

	case 'my_smileys':
		echo '<div class="hmenu">Мои смалы</div>';
        $smileys = !empty($user_data['smileys']) ? unserialize($user_data['smileys']) : array();
        $total = count($smileys);
        if ($total)
            echo '<form action="smileys.php?act=set_my_sm&amp;start=' . $start . '" method="post">';
        if ($total > ES::$set['pages']) {
            $smileys = array_chunk($smileys, ES::$set['pages'], TRUE);
            if ($start) {
                $key = ($start - $start % ES::$set['pages']) / ES::$set['pages'];
                $smileys_view = $smileys[$key];
                if (!count($smileys_view))
                    $smileys_view = $smileys[0];
                $smileys = $smileys_view;
            } else {
                $smileys = $smileys[0];
            }
        }
        $i = 0;
        foreach ($smileys as $value) {
            $smile = ':' . $value . ':';
            echo ($i % 2 ? '<div class="list2">' : '<div class="list1">') .
                '<input type="checkbox" name="delete_sm[]" value="' . $value . '" />&#160;' .
                ESFunction::smileys($smile, $rights >= 1 ? 1 : 0) . '&#160;' . $smile . ' ' . $lng['lng_or'] . ' ' . ESFunction::trans($smile) . '</div>';
            $i++;
        }
        if ($total) {
            echo '<div class="rmenu"><input type="submit" name="delete" value="Удалить" /></div></form>';
        } else {
            echo '<div class="menu"><p>' . $lng['list_empty'] . '<br /><a href="smileys.php?act=smileys">' . $lng['add_smileys'] . '</a></p></div>';
        }
        echo '<div class="phdr">' . $lng['total'] . ': ' . $total . ' / ' . $user_smileys . '</div>';
        if ($total > ES::$set['pages'])
            echo '<div class="topmenu">' . ESFunction::display_pages('smileys.php?act=my_smileys&amp;', $start, $total, ES::$set['pages']) . '</div>';
        echo '<p>' . ($total ? '<a href="smileys.php?act=set_my_sm&amp;clean">очистить</a><br />'
                : '') . '<a href="' . $_SESSION['ref'] . '">' . $lng['back'] . '</a></p>';
        break;

	case 'set_my_sm':
		$adm = isset($_GET['adm']);
		$add = isset($_POST['add']);
		$delete = isset($_POST['delete']);
		$cat = isset($_GET['cat']) ? trim($_GET['cat']) : '';
		if (($adm && !$rights) || ($add && !$adm && !$cat) || ($delete && !$_POST['delete_sm']) || ($add && !$_POST['add_sm'])){
			echo ESFunction::display_error($lng['error_wrong_data'], '<a href="smileys.php?act=smileys">' . $lng['smileys'] . '</a>');
			require('../system/footer.php');
		}
		$smileys = unserialize($user_data['smileys']);
		if (!is_array($smileys))
			$smileys = array();
		if ($delete)
			$smileys = array_diff($smileys, $_POST['delete_sm']);
		if ($add){
			$add_sm = $_POST['add_sm'];
			$smileys = array_unique(array_merge($smileys, $add_sm));
		}
		if (isset($_GET['clean']))
			$smileys = array();
		if (count($smileys) > $user_smileys){
			$smileys = array_chunk($smileys, $user_smileys, TRUE);
			$smileys = $smileys[0];
		}
		mysql_query("UPDATE `cms_users` SET `smileys` = '".mysql_real_escape_string(serialize($smileys))."' WHERE `id` = '$user_id'");
		if ($delete || isset($_GET['clean'])){
			header('location: smileys.php?act=my_smileys&start='.$start);
		}else{
			header('location: smileys.php?act='.($adm ? 'smadm' : 'smusr&cat='.urlencode($cat)).'&start='.$start);
		}
	break;

    default:
		$user_sm = unserialize($user_data['smileys']);
		if (!is_array($user_sm))
			$user_sm = array();
		echo '<div class="hmenu">Смайлы</div>';
        if ($user_id){
			$mycount = !empty($user_data['smileys']) ? count(unserialize($user_data['smileys'])) : '0';
			echo '<ul class="umenu"><li><a href="smileys.php?act=my_smileys">Мои смайлы<span class="count">('.$mycount.' / '.$user_smileys.')</span></a></li></ul>';
        }
            echo '<form action="smileys.php?act=set_my_sm&amp;start=' . $start . '" method="post">';
        $array = array();
        $dir = opendir('../images/smileys');
        while (($file = readdir($dir)) !== FALSE) {
            if (($file != '.') && ($file != "..") && ($file != "name.dat") && ($file != ".svn") && ($file != "index.php")) {
                $array[] = $file;
            }
        }
        closedir($dir);
        $total = count($array);
        if ($total > 0) {
            $end = $start + ES::$set['pages'];
            if ($end > $total)
                $end = $total;
            for ($i = $start; $i < $end; $i++) {
                $smile = preg_replace('#^(.*?).(gif|jpg|png)$#isU', '$1', $array[$i], 1);
                echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
                $smileys = (in_array($smile, $user_sm) ? ''
                    : '<input type="checkbox" name="add_sm[]" value="' . $smile . '" />&#160;');
                echo $smileys . '<img src="../images/smileys/' . $array[$i] . '" alt="" /> - :' . $smile . '</div>';
            }
        } else {
            echo '<div class="menu"><p>' . $lng['list_empty'] . '</p></div>';
        }
        echo '<div class="gmenu"><input type="submit" name="add" value="Изменить"/></div></form>';
        if ($total > ES::$set['pages'])
            echo '<div class="cmenu">' . ESFunction::display_pages('smileys.php?act=smadm&amp;', $start, $total, ES::$set['pages']) . '</div>';

}
echo '<ul class="umenu"><li><a href="'.$sys['referer'].'"><img src="'.ES::$set['home'].'/themes/'.ES::$set['skin'].'/images/return.png" alt="" /> Вернуться</a></li></ul>';
require('../system/footer.php');