<?php
defined('_IN_esCMS_XPanel') or die('Error: Restricted access');

if ($rights < 2){
	header('Location: '.ES::$set['home'].'/404');
	exit;
}

$set_af = isset(ES::$set['antiflood']) ? unserialize(ES::$set['antiflood']) : array ();
echo '<div class="hmenu">Настройка антифлуда</div><div class="cmenu">';
if (isset($_POST['submit']) || isset($_POST['save'])) {
    // Принимаем данные из формы
    $set_af['mode'] = isset($_POST['mode']) && $_POST['mode'] > 0 && $_POST['mode'] < 5 ? intval($_POST['mode']) : 1;
    $set_af['day'] = isset($_POST['day']) ? intval($_POST['day']) : 10;
    $set_af['night'] = isset($_POST['night']) ? intval($_POST['night']) : 30;
    $set_af['dayfrom'] = isset($_POST['dayfrom']) ? intval($_POST['dayfrom']) : 10;
    $set_af['dayto'] = isset($_POST['dayto']) ? intval($_POST['dayto']) : 22;
    // Проверяем правильность ввода данных
    if ($set_af['day'] < 4)
        $set_af['day'] = 4;
    if ($set_af['day'] > 300)
        $set_af['day'] = 300;
    if ($set_af['night'] < 4)
        $set_af['night'] = 4;
    if ($set_af['night'] > 300)
        $set_af['night'] = 300;
    if ($set_af['dayfrom'] < 6)
        $set_af['dayfrom'] = 6;
    if ($set_af['dayfrom'] > 12)
        $set_af['dayfrom'] = 12;
    if ($set_af['dayto'] < 17)
        $set_af['dayto'] = 17;
    if ($set_af['dayto'] > 23)
        $set_af['dayto'] = 23;
    mysql_query("UPDATE `cms_settings` SET `set` = '" . serialize($set_af) . "' WHERE `name` = 'antiflood' LIMIT 1");
    echo '<div class="rmenu">' . $lng['settings_saved'] . '</div>';
} elseif (empty($set_af) || isset($_GET['reset'])) {
    // Устанавливаем настройки по умолчанию (если не заданы в системе)
    echo '<div class="rmenu">' . $lng['settings_default'] . '</div>';
    $set_af['mode'] = 2;
    $set_af['day'] = 10;
    $set_af['night'] = 30;
    $set_af['dayfrom'] = 10;
    $set_af['dayto'] = 22;
    @mysql_query("DELETE FROM `cms_settings` WHERE `name` = 'antiflood' LIMIT 1");
    mysql_query("INSERT INTO `cms_settings` SET `name` = 'antiflood', `set` = '" . serialize($set_af) . "'");
}

/*
-----------------------------------------------------------------
Форма ввода параметров Антифлуда
-----------------------------------------------------------------
*/
echo '<form action="index.php?act=antiflood" method="post">';
echo 'Режим работы<table cellspacing="2">';
echo '<tr><td valign="top"><input type="radio" name="mode" value="3" ' . ($set_af['mode'] == 3 ? 'checked="checked"' : '') . '/></td><td>День</td></tr>';
echo '<tr><td valign="top"><input type="radio" name="mode" value="4" ' . ($set_af['mode'] == 4 ? 'checked="checked"' : '') . '/></td><td>Ночь</td></tr>';
echo '<tr><td valign="top"><input type="radio" name="mode" value="2" ' . ($set_af['mode'] == 2 ? 'checked="checked"' : '') . '/></td><td>День / Ночь<br /><small>Автоматический переход с дневного на ночной режим, согласно заданному в настройках времени</small></td></tr>';
echo '<tr><td valign="top"><input type="radio" name="mode" value="1" ' . ($set_af['mode'] == 1 ? 'checked="checked"' : '') . '/></td><td>Адаптивный<br /><small>Если на сайте есть кто-то из Администрации, система работает в "дневном" режиме, иначе переходит в "ночной"</small></td></tr></table>';
echo 'Лимит времени<br />';
echo '<input name="day" size="3" value="' . $set_af['day'] . '" maxlength="3" />&#160;День<br />';
echo '<input name="night" size="3" value="' . $set_af['night'] . '" maxlength="3" />&#160;Ночь (4-300 секунд)<br />';
echo 'Дневной режим<br />';
echo '<input name="dayfrom" size="2" value="' . $set_af['dayfrom'] . '" maxlength="2" style="text-align:right"/>:00&#160;Начало дня <span class="gray">(6-12)</span><br />';
echo '<input name="dayto" size="2" value="' . $set_af['dayto'] . '" maxlength="2" style="text-align:right"/>:00&#160;Конец дня <span class="gray">(17-23)</span><br />';
echo '<input type="submit" name="submit" value="Сохранить" /></form></div>';
echo '<ul class="umenu"><li><a href="index.php?act=antiflood&amp;reset">Сбросить настройки</a></li></ul>';
?>