<?php
define('_IN_esCMS', 1);

require('../system/escore.php');

// Проверяем права доступа в Админ-Клуб
if (isset($_SESSION['gbook']) && $rights < 1)
	unset($_SESSION['gbook']);

// Задаем заголовки страницы
$sys['title'] = isset($_SESSION['gbook']) ? 'Админ-чат' : 'Гостевая';
require('../system/header.php');

// Если гостевая закрыта, выводим сообщение и закрываем доступ (кроме Админов)
if (ES::$set['mod_guest'] == 2 && $rights < 1){
	echo '<div class="hmenu">Гостевая</div>';
	echo '<div class="cmenu">Гостевая закрыта</div>';
	require('../system/footer.php');
}
switch ($act){
 	// Добавление нового поста
   case 'say':
		$admset = isset($_SESSION['gbook']) ? 1 : 0;
		$name = isset($_POST['name']) ? ESFunction::checkin(mb_substr(trim($_POST['name']), 0, 20)) : '';
		$msg = isset($_POST['msg']) ? ESFunction::checkin(mb_substr(trim($_POST['msg']), 0, 5000)) : '';
		$trans = isset($_POST['msgtrans']) ? 1 : 0;
		$code = isset($_POST['code']) ? trim($_POST['code']) : '';
		$from = $user_id ? $nick : mysql_real_escape_string($name);
		$_SESSION['name'] = isset($_SESSION['name']) ? trim($_SESSION['name']) : trim($name);
		if ($trans)
			$msg = ESFunction::trans($msg);
		$error = array();
		$flood = FALSE;
		if (!isset($_POST['token']) || !isset($_SESSION['token']) || $_POST['token'] != $_SESSION['token']){
			$error[] = 'Неверные данные';
		}
		if (!$user_id && empty($name))
			$error[] = 'Вы не ввели имя';
		if (empty($msg))
			$error[] = 'Вы не ввели сообщение';
		if ($ban['1'] || $ban['13'])
			$error[] = 'Доступ запрещен';
		if (!$user_id && (empty($code) || mb_strlen($code) < 4 || $code != $_SESSION['captcha']))
			$error[] = 'Проверочный код введен неверно';
		unset($_SESSION['captcha']);
		if ($user_id){
			$flood = ESFunction::antiflood();
		}else{
			$req = mysql_query("SELECT `time` FROM `cms_gbook` WHERE `ip` = '$ip' AND `browser` = '".mysql_real_escape_string($agn)."' AND `time` > '".(time() - 60)."'");
			if (mysql_num_rows($req)){
				$res = mysql_fetch_assoc($req);
				$flood = time() - $res['time'];
			}
		}
		if ($flood)
			$error = 'Вы не можете так часто добавлять сообщения. Пожалуйста, подождите '.$flood.' секунд';
		if (empty($error)){
			// Проверка на одинаковые сообщения
			$req = mysql_query("SELECT * FROM `cms_gbook` WHERE `user_id` = '$user_id' ORDER BY `time` DESC");
			$res = mysql_fetch_array($req);
			if ($res['text'] == $msg){
				header('location: '.ES::$set['home'].'/gbook');
				exit;
			}
		}
		if (empty($error)){
			mysql_query("INSERT INTO `cms_gbook` SET
				`adm` = '$admset',
				`time` = '".time()."',
				`user_id` = '".($user_id ? $user_id : 0)."',
				`name` = '$from',
				`text` = '".mysql_real_escape_string($msg)."',
				`ip` = '".ES::$ip."',
				`browser` = '".mysql_real_escape_string($agn)."',
				`otvet` = ''
			");
			// Фиксируем время последнего поста (антиспам)
			if ($user_id)
				mysql_query("UPDATE `cms_users` SET `postguest` = (`view` + 1), `lastpost` = '".time()."' WHERE `id` = '$user_id'");
			header('location: '.ES::$set['home'].'/gbook');
		}else{
			echo ESFunction::display_error($error);
		}
	break;

	// Добавление "ответа Админа"
	case 'otvet':
		if ($rights >= 1 && $id){
			if (isset($_POST['submit'])
				&& isset($_POST['token'])
				&& isset($_SESSION['token'])
				&& $_POST['token'] == $_SESSION['token']
			){
				$reply = isset($_POST['text']) ? ESFunction::checkin(mb_substr(trim($_POST['text']), 0, 5000)) : '';
				mysql_query("UPDATE `cms_gbook` SET
					`admin` = '$nick',
					`otvet` = '".mysql_real_escape_string($reply)."',
					`otime` = '".time()."'
					WHERE `id` = '$id'
				");
				header('location: '.ES::$set['home'].'/gbook');
			}else{
				$skytpl->set('title', '<a href="'.ES::$set['home'].'/gbook">Гостевая</a> | Ответить');
				$skytpl->display('title.tpl');
				$req = mysql_query("SELECT * FROM `cms_gbook` WHERE `id` = '$id'");
				$res = mysql_fetch_assoc($req);
				$token = mt_rand(1000, 100000);
				$_SESSION['token'] = $token;
				echo '<div class="cmenu">';
				echo '<b>'.$res['name'].'</b><br />'.ESFunction::checkout($res['text']).'<br />';
				echo '<form name="form" action="'.ES::$set['home'].'/gbook?act=otvet&amp;id='.$id.'" method="post">';
				echo 'Ответить<br />'.ESBBCode::auto_bb('form', 'text');
				echo '<textarea rows="3" name="text">' . ESFunction::checkout($res['otvet']) . '</textarea><br />';
				echo '<input type="submit" name="submit" value="Ответить" />';
				echo '<input type="hidden" name="token" value="' . $token . '" /></form></div>';
			}
		}else{
			header('location: '.ES::$set['home'].'/404');
		}
        break;

	// Редактирование поста
	case 'edit':
		if ($rights >= 1 && $id){
			if (isset($_POST['submit'])
				&& isset($_POST['token'])
				&& isset($_SESSION['token'])
				&& $_POST['token'] == $_SESSION['token']
			){
				$req = mysql_query("SELECT `edit_count` FROM `cms_gbook` WHERE `id`='$id'");
				$res = mysql_fetch_array($req);
				$edit_count = $res['edit_count'] + 1;
				$msg = isset($_POST['msg']) ? ESFunction::checkin(mb_substr(trim($_POST['msg']), 0, 5000)) : '';
				mysql_query("UPDATE `cms_gbook` SET
					`text` = '".mysql_real_escape_string($msg)."',
					`edit_who` = '$nick',
					`edit_time` = '".time()."',
					`edit_count` = '$edit_count'
					WHERE `id` = '$id'
				");
				header('location: '.ES::$set['home'].'/gbook');
			}else{
				$token = mt_rand(1000, 100000);
				$_SESSION['token'] = $token;
				$req = mysql_query("SELECT * FROM `cms_gbook` WHERE `id` = '$id'");
				$res = mysql_fetch_assoc($req);
				$skytpl->set('title', '<a href="'.ES::$set['home'].'/gbook">Гостевая</a> | Изменить');
				$skytpl->display('title.tpl');
				echo '<div class="cmenu">';
				echo '<form name="form" action="'.ES::$set['home'].'/gbook?act=edit&amp;id='.$id.'" method="post">';
				echo'Автор: '.$res['name'].'<br />';
				echo ESBBCode::auto_bb('form', 'msg');
				echo '<textarea rows="3" name="msg">'.htmlentities($res['text'], ENT_QUOTES, 'UTF-8').'</textarea><br />';
				echo '<input type="submit" name="submit" value="Сохранить" />';
				echo '<input type="hidden" name="token" value="'.$token.'" /></form></div>';
			}
		}else{
			header('location: '.ES::$set['home'].'/404');
		}
	break;

	// Удаление отдельного поста
	case 'delpost':
		if ($rights >= 1 && $id){
			if (isset($_GET['yes'])){
				mysql_query("DELETE FROM `cms_gbook` WHERE `id` = '$id'");
				header('Location: '.ES::$set['home'].'/gbook');
			}else{
				$skytpl->set('title', '<a href="'.ES::$set['home'].'/gbook">Гостевая</a> | Удалить сообщение');
				$skytpl->display('title.tpl');
				echo '<div class="cmenu">Действительно хотите удалить?<br />';
				echo '<a href="'.ES::$set['home'].'/gbook?act=delpost&amp;id='.$id.'&amp;yes">Удалить</a> | ';
				echo '<a href="'.ES::$set['home'].'/gbook">Отмена</a></div>';
			}
		}else{
			header('location: '.ES::$set['home'].'/404');
		}
	break;

	// Очистка Гостевой
	case 'clean':
		if ($rights == 2){
 			$skytpl->set('title', '<a href="'.ES::$set['home'].'/gbook">Гостевая</a> | Очистить');
			$skytpl->display('title.tpl');
			echo '<div class="cmenu">';
			if (isset($_POST['submit'])){
				// Проводим очистку Гостевой, согласно заданным параметрам
				$adm = isset($_SESSION['gbook']) ? 1 : 0;
				$cl = isset($_POST['cl']) ? intval($_POST['cl']) : '';
				switch ($cl){
					case '1':
						mysql_query("DELETE FROM `cms_gbook` WHERE `adm` = '$adm' AND `time` < '".(time() - 86400)."'");
						echo 'Удалены все сообщения, старше 1 дня';
					break;
					case '2':
						mysql_query("DELETE FROM `cms_gbook` WHERE `adm` = '$adm'");
						echo 'Проведена полная очистка';
					break;
					default:
						mysql_query("DELETE FROM `cms_gbook` WHERE `adm` = '$adm' AND `time` <= '".(time() - 604800)."'");
						echo 'Удалены все сообщения, старше 1 недели';
				}
				mysql_query("OPTIMIZE TABLE `cms_gbook`");
			}else{
				echo '<form id="clean" method="post" action="'.ES::$set['home'].'/gbook?act=clean">';
				echo 'Параметры очистки<br />';
				echo '<input type="radio" name="cl" value="0" checked="checked" /> Старше 1 недели<br />';
				echo '<input type="radio" name="cl" value="1" /> Старше 1 дня<br />';
				echo '<input type="radio" name="cl" value="2" /> Очищаем все<br />';
				echo '<input type="submit" name="submit" value="Очистить" /></form>';
            }
			echo '</div>';
		}else{
			header('location: '.ES::$set['home'].'/404');
		}
	break;

	// Переключение режима работы Гостевая / Админ-чат
	case 'ga':
		if ($rights >= 1){
			if (isset($_GET['do']) && $_GET['do'] == 'set'){
				$_SESSION['gbook'] = 1;
			}else{
				unset($_SESSION['gbook']);
			}
		}

	default:
		// Отображаем Гостевую, или Админ-чат
		echo '<div class="hmenu">Гостевая</div>';
		if ($rights > 0){
			$menu = array();
			$menu[] = isset($_SESSION['gbook']) ? '<a href="'.ES::$set['home'].'/gbook?act=ga">Гостевая</a>' : 'Гостевая';
			$menu[] = isset($_SESSION['gbook']) ? 'Админ-чат' : '<a href="'.ES::$set['home'].'/gbook?act=ga&amp;do=set">Админ-чат</a>';
			if ($rights == 2)
				$menu[] = '<a href="'.ES::$set['home'].'/gbook?act=clean">Очистить</a>';
			echo '<div class="cmenu">'.ESFunction::display_menu($menu).'</div>';
		}
		echo '<div class="cmenu">';
		// Форма ввода нового сообщения
		if ($user_id || ES::$set['mod_guest'] == 1){
			$token = mt_rand(1000, 100000);
			$_SESSION['token'] = $token;
			$_SESSION['captcha'] = mt_rand(1000,9999);
			echo '<form name="form" action="'.ES::$set['home'].'/gbook?act=say" method="post">';
			if (!$user_id)
				echo 'Имя (max 25):<br /><input type="text" name="name" maxlength="25" value="'.$_SESSION['name'].'" /><br />';
			echo 'Сообщение: <small>(max 5000)</small>:<br />';
			echo ESBBCode::auto_bb('form', 'msg');
			echo '<textarea rows="3" name="msg"></textarea><br/>';
			if (!$user_id){
				echo 'Проверочный код: <img src="'.ES::$set['home'].'/image.php" alt="" /><br />';
				echo '<input type="text" maxlength="5" name="code" /><br />';
			}
			echo '<input type="hidden" name="token" value="'.$token.'" />';
			echo '<input type="submit" name="submit" value="Отправить" /></form></div>';
		}else{
			echo 'Только для зарегистрированных посетителей</div>';
        }
		if (isset($_SESSION['gbook']) && $rights >= 1){
			$req = mysql_query("SELECT COUNT(*) FROM `cms_gbook` WHERE `adm` = '1'");
		}else{
			$req = mysql_query("SELECT COUNT(*) FROM `cms_gbook` WHERE `adm` = '0'");
		}
		$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_gbook` WHERE `adm` = '".(isset($_SESSION['gbook']) ? 1 : 0)."'"), 0);
		echo '<div class="hmenu">Комментарии</div>';
		if ($total){
			if (isset($_SESSION['gbook']) && $rights >= 1){
				$req = mysql_query("SELECT `cms_gbook`.*, `cms_gbook`.`id` AS `gid`, `cms_users`.`rights`, `cms_users`.`lastdate`, `cms_users`.`datereg`, `cms_users`.`id`
					FROM `cms_gbook` LEFT JOIN `cms_users` ON `cms_gbook`.`user_id` = `cms_users`.`id`
					WHERE `cms_gbook`.`adm` = '1' ORDER BY `time` DESC LIMIT $start, ".ES::$set['pages']);
			}else{
				$req = mysql_query("SELECT `cms_gbook`.*, `cms_gbook`.`id` AS `gid`, `cms_users`.`rights`, `cms_users`.`lastdate`, `cms_users`.`datereg`, `cms_users`.`id`
				FROM `cms_gbook` LEFT JOIN `cms_users` ON `cms_gbook`.`user_id` = `cms_users`.`id`
				WHERE `cms_gbook`.`adm` = '0' ORDER BY `time` DESC LIMIT $start, ".ES::$set['pages']);
			}
			for ($i = 0; $res = mysql_fetch_assoc($req); ++$i){
				$text = '';
				echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
				if (!$res['id']){
					$req_g = mysql_query("SELECT `lastdate` FROM `cms_sessions` WHERE `session_id` = '".md5($res['ip'].$res['browser'])."' LIMIT 1");
					$res_g = mysql_fetch_assoc($req_g);
					$res['lastdate'] = $res_g['lastdate'];
				}
				$text = ' <span style="color:gray">('.ESFunction::display_date($res['time']).')</span>';
				if ($res['user_id']){
					$post = ESFunction::checkout($res['text'], 1, 1);
					$post = ESFunction::smileys($post);
				}else{
					$res['name'] = ESFunction::checkout($res['name']);
					$post = ESFunction::antilink(ESFunction::checkout($res['text'], 0, 2));
				}
				if ($res['edit_count'])
					$post .= '<br /><span style="color:gray"><small>Изм. <b>'.$res['edit_who'].'</b> ('.ESFunction::display_date($res['edit_time']).') <b>['.$res['edit_count'].']</b></small></span>';
				if (!empty($res['otvet'])){
					$otvet = ESFunction::checkout($res['otvet'], 1, 1);
					$otvet = ESFunction::smileys($otvet);
					$post .= '<div class="reply"><b>'.$res['admin'].'</b>: ('.ESFunction::display_date($res['otime']).')<br />'.$otvet.'</div>';
				}
				if ($rights >= 1){
					$subtext = '<a href="'.ES::$set['home'].'/gbook?act=otvet&amp;id='.$res['gid'].'">Ответить</a>'.
					($rights >= $res['rights'] ? ' | <a href="'.ES::$set['home'].'/gbook?act=edit&amp;id='.$res['gid'].'">Изменить</a> | <a href="'.ES::$set['home'].'/gbook?act=delpost&amp;id='.$res['gid'].'">Удалить</a>' : '');
				}else{
					$subtext = '';
                }
				$arg = array(
					'header' => $text,
					'body'   => $post,
					'sub'    => $subtext
				);
				echo ESFunction::display_user($res, $arg);
				echo '</div>';
			}
		}else{
			echo '<div class="cmenu">В Гостевой сообщений нет. Будь первым! :)</div>';
		}
		if ($total > ES::$set['pages'])
			echo '<div class="cmenu">'.ESFunction::display_pages(ES::$set['home'].'/gbook?', $start, $total, ES::$set['pages']).'</div>';
}
require('../system/footer.php');
?>