<?php
define('_IN_esCMS', 1);

require('../system/escore.php');

$sys['title'] = 'Регистрация';
require('../system/header.php');
if ($user_id){
	echo ESFunction::display_error('Вы уже зарегестрированы!');
	require('../system/footer.php');
}
if (ES::$deny_registration || ES::$set['mod_reg'] == 3){
	echo ESFunction::display_error('Регистрация временно приостановленна');
	require('../system/footer.php');
}
$reg_nick = isset($_POST['nick']) ? trim($_POST['nick']) : '';
$reg_login = ESFunction::rus_lat(mb_strtolower($reg_nick));
$reg_email = isset($_POST['email']) ? htmlspecialchars(trim($_POST['email'])) : NULL;
$reg_pass = isset($_POST['pass']) ? trim($_POST['pass']) : '';
$reg_code = isset($_POST['code']) ? intval($_POST['code']) : NULL;
$reg_rules = isset($_POST['rules']) ? intval($_POST['rules']) : NULL;
echo '<div class="hmenu">Регистрация</div><div class="cmenu">';
if (isset($_POST['submit'])){
	$error = array();
	if (empty($reg_nick))
		$error['login'][] = 'Не введён логин';
	elseif (mb_strlen($reg_nick) < 2 || mb_strlen($reg_nick) > 15)
		$error['login'][] = 'Недопустимая длина Логина';
	if (preg_match('/[^\da-z\-\@\*\(\)\?\!\~\_\=\[\]]+/', $reg_login))
		$error['login'][] = 'Недопустимые символы';
	if (empty($reg_email))
		$error['email'][] = 'Вы не заполнили поле e-mail';
	elseif (!preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#', $reg_email))
		$error['email'][] = 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen';
	if (empty($reg_pass))
		$error['password'][] = 'Вы не ввели Пароль';
	elseif (mb_strlen($reg_pass) < 3 || mb_strlen($reg_pass) > 10)
		$error['password'][] = 'Недопустимая длина Пароля';
	if (preg_match('/[^\dA-Za-z]+/', $reg_pass))
		$error['password'][] = 'Недопустимые символы';
	if (!$reg_code || !isset($_SESSION['captcha']) || mb_strlen($reg_code) < 4 || $reg_code != $_SESSION['captcha'])
		$error['code'] = 'Проверочный код введен неверно';
	unset($_SESSION['captcha']);
	if (empty($reg_rules))
		$error['rules'] = 'Вы не ознакомились с правилами каталога';
	if (empty($error)){
		$pass = md5(md5($reg_pass));
		$req = mysql_query("SELECT * FROM `cms_users` WHERE `login`='".mysql_real_escape_string($reg_login)."'");
		if (mysql_num_rows($req))
			$error['login'][] = 'Этот ник уже занят';
		$req = mysql_query("SELECT * FROM `cms_users` WHERE `email`='".mysql_real_escape_string($reg_email)."'");
		if (mysql_num_rows($req))
			$error['email'][] = 'Этот e-mail уже занят';
	}
	if (empty($error)){
		if (ES::$set['mod_reg'] == 2)
			$randcode = ESFunction::randcode(20);
		mysql_query("INSERT INTO `cms_users` SET
			`nick` = '".mysql_real_escape_string($reg_nick)."',
			`login` = '".mysql_real_escape_string($reg_login)."',
			`pass` = '".mysql_real_escape_string($pass)."',
			`rights` = '0',
			`email` = '".mysql_real_escape_string($reg_email)."',
			`randcode` = '$randcode',
			`ip` = '".ES::$ip."',
			`ip_via_proxy` = '".ES::$ip_via_proxy."',
			`browser` = '".mysql_real_escape_string($agn)."',
			`datereg` = '".time()."',
			`lastdate` = '".time()."',
			`sestime` = '".time()."',
			`preg` = '".ES::$set['mod_reg']."'
		") or exit(__LINE__.': '.mysql_error());
		$usid = mysql_insert_id();
		$subject = 'Регистрация в каталоге '.ES::$set['copy'];
		$mail = "Добро пожаловать, ".$reg_nick."\r\n";
		$mail .= "Благодарим Вас за регистрацию в наше белом каталоге ".ES::$set['copy']."\r\n";
		$mail .= "Сохраните Ваши данные в надежном месте, они вам еще пригодится для в хода в каталог\r\n";
		$mail .= "Ваши данные для входа\r\n";
		$mail .= "Ваш ID: ".$usid."\r\n";
		$mail .= "Ваш Ник: ".$reg_nick."\r\n";
		$mail .= "Ваш Логин: ".$reg_login."\r\n";
		$mail .= "Ваш Пароль: ".$reg_pass."\r\n";
		$mail .= "Ссылка для автоматического входа на сайт: ".ES::$set['home']."/input.php?n=".$reg_login."&p=".$reg_pass."\r\n";
		$mail .= "Зайдите в личный кабинет чтобы добавить свои сайты\r\n\r\n";
		if (ES::$set['mod_reg'] == 1){
			$mail .= "Пожалуйста, ожидайте подтверждения Вашей регистрации администратором\r\n\r\n";
		}elseif (ES::$set['mod_reg'] == 2){
			$mail .= "Внимание! Для подтверждения регистрации необходимо в течении 24 часов ввести мастер-ключ!\r\n";
			$mail .= "Ваш мастер-ключ: ".$randcode." Введите его после авторизации на сайте или перейдите по прямой ссылке: ".ES::$set['home']."/input.php?act=set&id=".$usid."&mcode=".$randcode."\r\n";
			$mail .= "Если в течении 24 часов вы не подтвердите регистрацию, ваш профиль будет автоматически удален\r\n\r\n";
		}
		$mail .= "Если это письмо попало к вам по ошибке, то просто проигнорируйте его\r\n\r\n";
		$mail .= "С уважением администрация каталога ".ES::$set['copy']."\r\n";
		$adds = "From: <".ES::$set['email'].">\r\n";
		$adds .= "Content-Type: text/plain; charset=\"utf-8\"\r\n";
		mail($reg_email, $subject, $mail, $adds);

		echo '<b>Вы успешно зарегистрированы!</b><br /><br />';
		echo '<b>Ваш ID</b>: '.$usid.'<br />';
		echo '<b>Ваш Ник</b>: '.$reg_nick.'<br />';
		echo '<b>Ваш Логин</b>: '.$reg_login.'<br />';
		echo '<b>Ваш E-Mail</b>: '.$reg_email.'<br />';
		echo '<b>Ваш Пароль</b>: '.$reg_pass.'</div>';
		if (ES::$set['mod_reg'] == 1){
			echo '<div class="cmenu">Пожалуйста, ожидайте подтверждения Вашей регистрации администратором</div>';
		}elseif (ES::$set['mod_reg'] == 2){
			echo '<div class="cmenu">Внимание! После входа на сайт, вам будет необходимо ввести мастер-код для подтверждения регистрации<br />';
			echo 'Мастер-код был выслан вам на почтовый ящик: '.$reg_email.'</div>';
		}else{
			$_SESSION['uid'] = $usid;
			$_SESSION['ups'] = md5(md5($reg_pass));
			echo '<ul class="umenu"><li><a href="'.ES::$set['home'].'/menu">Войти в кабинет</a></li></ul>';
		}
		require('../system/footer.php');
	}
}
$_SESSION['captcha'] = mt_rand(1000,9999);
if (ES::$set['mod_reg'] == 1)
	echo '<span style="color:red">Вы сможете получить авторизованный доступ к разделам сайта после подтверждения Вашей регистрации. Подтверждение проводится 1-2 раза в сутки</span><br />';
elseif (ES::$set['mod_reg'] == 2)
	echo '<span style="color:red">Вы сможете получить авторизованный доступ к разделам сайта после подтверждения Вашей регистрации через e-mail</span><br />';
echo '<form action="'.ES::$set['home'].'/registration" method="post">';
echo 'Логин (макс. 15):<br />';
echo (isset($error['login']) ? '<span style="color:red"><small>'.implode('<br />', $error['login']).'</small></span><br />' : '');
echo '<input type="text" name="nick" placeholder="Логин" maxlength="15" value="'.htmlspecialchars($reg_nick).'"'.(isset($error['login']) ? ' style="background-color: #ffcccc"' : '').' /><br />';
echo 'E-Mail (макс. 50):<br />';
echo (isset($error['email']) ? '<span style="color:red"><small>'.implode('<br />', $error['email']).'</small></span><br />' : '');
echo '<input type="text" name="email" placeholder="E-Mail" maxlength="50" value="'.htmlspecialchars($reg_email).'"'.(isset($error['email']) ? ' style="background-color: #ffcccc"' : '').' /><br />';
echo 'Пароль (макс. 10):<br />';
echo (isset($error['password']) ? '<span style="color:red"><small>'.implode('<br />', $error['password']).'</small></span><br />' : '');
echo '<input type="text" name="pass" placeholder="Пароль" maxlength="20" value="'.htmlspecialchars($reg_pass).'"'.(isset($error['password']) ? ' style="background-color: #ffcccc"' : '').' /><br />';
echo 'Введите код: <img src="'.ES::$set['home'].'/image.php" alt="" /><br />';
echo (isset($error['code']) ? '<span style="color:red"><small>'.$error['code'].'</small></span><br />' : '');
echo '<input type="text" maxlength="4"  name="code"'.(isset($error['code']) ? ' style="background-color: #ffcccc"' : '').' /><br />';
echo (isset($error['rules']) ? '<span style="color:red"><small>'.$error['rules'].'</small></span><br />' : '');
echo '<input type="checkbox" name="rules" value="1"'.(isset($error['rules']) ? ' style="background-color: #ffcccc"' : '').' /> Я согласен с <a href="'.ES::$set['home'].'/rules">правилами и условиями</a> каталога<br />';
echo '<input type="submit" name="submit" value="Зарегистрироваться" /></form></div>';
require('../system/footer.php');
?>